% a short program to plot ray tracing ssp data
% asks for a *.ssp filename and then makes a contour
% map of it.  The data are assumed to all be to the
% same depth, and in the Bolwin RAY code sound speed
% format.
a=input('input the *.ssp filename','s')
c_ann=load(a);
I=c_ann(:,1)==-1.;
I=find(I);
N1=I(2)-1;
z=c_ann(2:N1,1);
z=-z/1000;
c=c_ann(:,2);
N2=length(c)/N1
c=reshape(c,N1,N2);
r=c(1,:);
c(1,:)=[]; 
contour(r,z,c)
xlabel('Range (km)')
ylabel('Depth (km)')
title(['Sound Speed Map of ' a ])
